subroutine istr3(il,str)
            
      integer ival,il,index(10)
      character*(10) str1
      character*(3) str
      character*(1) num(0:9)
      data num/'0','1','2','3','4','5','6','7','8','9'/
 
      ival=il
      if (ival.lt.0) ival=ival*(-1)
      do 10 j=10,1,-1
         i=ival/10**(j-1)
         ival=ival-i*10**(j-1)
10       index(j)=i
      str1=num(index(10))//num(index(9))//num(index(8))//
     *num(index(7))//num(index(6))//num(index(5))//num(index(4))//
     *num(index(3))//num(index(2))//num(index(1))
      str=str1(8:10)
      return
      end
